Skip to main content

Update Folder

Update Folder
PUT

Update a folder by id. Provide at least one field in the request body.

Request

PUT /v1/folder/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesFolder id.

Body Parameters

ParameterTypeRequiredDescription
namestringNoFolder name. Maximum 100 characters.
descriptionstringNoFolder description. Maximum 500 characters.
sharedbooleanNoSet to true to make the folder shared, or false to make it private.

Request Example

{
"name": "Priority Engineering Candidates",
"shared": false
}

Response

200
{
"id": 42,
"entity": "candidate",
"name": "Priority Engineering Candidates",
"description": "Shortlisted engineering candidates",
"shared": false,
"created_by": {
"id": 1,
"email": "rohan@example.com",
"first_name": "Rohan",
"last_name": "Sharma",
"full_name": "Rohan Sharma",
"role": "Admin",
"phone": null
},
"updated_by": {
"id": 1,
"email": "rohan@example.com",
"first_name": "Rohan",
"last_name": "Sharma",
"full_name": "Rohan Sharma",
"role": "Admin",
"phone": null
},
"created_at": "2026-07-24T10:15:00.000Z",
"updated_at": "2026-07-24T10:30:00.000Z"
}
400
{
"message": "Provide at least one folder field to update"
}